# EngineRenew Struct Reference

Struct to store engine replacements. More...

`#include <autoreplace_base.h>`

Inheritance diagram for EngineRenew:

## Public Member Functions
| EngineRenew (EngineID from=INVALID_ENGINE, EngineID to=INVALID_ENGINE)
## Data Fields
EngineID | from
EngineID | to
EngineRenew * | next
GroupID | group_id

## Detailed Description

Struct to store engine replacements.

DO NOT USE outside of engine.c. Is placed here so the only exception to this rule, the saveload code, can use it.

Definition at line 35 of file autoreplace_base.h.

The documentation for this struct was generated from the following file:

- src/autoreplace_base.h